summaryrefslogtreecommitdiffstats
path: root/debian/run-tests
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 14:40:05 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 14:40:05 +0000
commite21fe8c3a4007c4a10f67e9e8107c3f083002f06 (patch)
tree926b3c2a4d3fd0decde08f6a4d22862ef03a7046 /debian/run-tests
parentAdding upstream version 1:9.2p1. (diff)
downloadopenssh-debian.tar.xz
openssh-debian.zip
Adding debian version 1:9.2p1-2+deb12u2.debian/1%9.2p1-2+deb12u2debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/run-tests')
-rwxr-xr-xdebian/run-tests45
1 files changed, 45 insertions, 0 deletions
diff --git a/debian/run-tests b/debian/run-tests
new file mode 100755
index 0000000..f71e496
--- /dev/null
+++ b/debian/run-tests
@@ -0,0 +1,45 @@
+#! /bin/sh
+# Run installed OpenSSH regression tests.
+
+tmp="$1"
+if [ -z "$tmp" ]; then
+ tmp="$(mktemp -d)"
+ cleanup () {
+ rm -rf "$tmp"
+ }
+ trap cleanup EXIT
+fi
+shift
+if [ -z "$1" ]; then
+ set -- tests interop-tests
+fi
+
+# Copy the regression tests to a fresh directory; this is easier than trying
+# to pick apart which ones need write access.
+cp -a /usr/lib/openssh/regress "$tmp/regress"
+
+ret=0
+make -C "$tmp/regress" \
+ .OBJDIR="$tmp/regress" \
+ .CURDIR="$tmp/regress" \
+ BUILDDIR="$tmp/regress" \
+ OBJ="$tmp/regress" \
+ SUDO=sudo \
+ TEST_SHELL=sh \
+ TEST_SSH_SSH=ssh \
+ TEST_SSH_SFTPSERVER=/usr/lib/openssh/sftp-server \
+ TEST_SSH_PLINK=plink \
+ TEST_SSH_PUTTYGEN=puttygen \
+ TEST_SSH_CONCH=conch3 \
+ TEST_SSH_IPV6=yes \
+ TEST_SSH_ECC=yes \
+ TEST_SSH_UNSAFE_PERMISSIONS=1 \
+ "$@" </dev/zero || ret="$?"
+if [ "$ret" -ne 0 ]; then
+ for log in failed-regress.log failed-ssh.log failed-sshd.log; do
+ if [ -e "$tmp/regress/$log" ]; then
+ tail -v -n+0 "$tmp/regress/$log"
+ fi
+ done
+fi
+exit "$ret"